import * as  VueRouter from "vue-router"

/**
 *
 * @type {Readonly<VueRouter.RouteRecordRaw[]>}
 */
const routes = [
    {
        path: '/',
        component: ()=>import("src/views/scaffold/index.vue"),
        meta: {
            title: "首页",
            keepAlive: true,
        },
        children: [
            {
                path: "/home",
                component: ()=>import("src/views/home/Home.vue"),
                meta: {
                    title: "首页"
                }
            },
            {
                path: "environment",
                component:()=>import("src/views/environment/index.vue"),
                meta:{
                    title: "环境变量"
                }
            },
            {
                path: "/test",
                component: ()=>import("src/views/home/Test.vue"),
                meta: {
                    title: "测试"
                }
            }
        ]
    },
]

const Router = VueRouter.createRouter({
    history: VueRouter.createWebHashHistory(),
    routes
})
export default Router
